# Class JspFragmentHelper

java.lang.Object
jakarta.servlet.jsp.tagext.JspFragment
org.apache.jasper.runtime.JspFragmentHelper

public abstract class JspFragmentHelper extends JspFragment
Helper class from which all Jsp Fragment helper classes extend. This class allows for the emulation of numerous fragments within a single class, which in turn reduces the load on the class loader since there are potentially many JspFragments in a single page.

The class also provides various utility methods for JspFragment implementations.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final PageContext`
`_jspx_page_context`
`protected final int`
`discriminator`
`protected final JspContext`
`jspContext`
`protected final JspTag`
`parentTag`

## Constructor Summary

Constructors
Constructor
Description
`JspFragmentHelper(int discriminator, JspContext jspContext, JspTag parentTag)`

## Method Summary

Modifier and Type
Method
Description
`JspContext`
`getJspContext()`
Returns the JspContext that is bound to this JspFragment.
`JspTag`
`getParentTag()`

### Methods inherited from class JspFragment

`invoke`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### discriminator

protected final int discriminator

### jspContext

protected final JspContext jspContext

### _jspx_page_context

protected final PageContext _jspx_page_context

### parentTag

protected final JspTag parentTag

## Constructor Details

### JspFragmentHelper

public JspFragmentHelper(int discriminator, JspContext jspContext, JspTag parentTag)

## Method Details

### getJspContext

public JspContext getJspContext()
Description copied from class: `jakarta.servlet.jsp.tagext.JspFragment`
Returns the JspContext that is bound to this JspFragment.

Specified by:
  `getJspContext` in class `JspFragment`
Returns:
  The JspContext used by this fragment at invocation time.

### getParentTag

public JspTag getParentTag()